import org.kwis.msp.lcdui.*;
import org.kwis.msp.lwc.*;

/**
 * @author ȯ
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public class ListItemTest extends Jlet {
	
	ShellComponent shell;
	ListComponent list1;
	ListComponent list2;
	ListComponent list3;
	ListItemComponent[] listItem;
	
	ButtonComponent addButton;
	ButtonComponent removeButton;
	ButtonComponent setButton;
	
	FormComponent baseForm;
	FormComponent buttonForm;
			
	public static final int LIST_NUM = 3;
	
	protected void startApp(String[] args) {
		shell = new ShellComponent();
		shell.setTitle("List Test");
    	
		baseForm = new FormComponent();
		buttonForm = new FormComponent(false);
    	
		list1 = new ListComponent(ListComponent.SELECT_MULTIPLE);
		listItem = new ListItemComponent[LIST_NUM];
    	
		for(int i=0;i<LIST_NUM;i++){
			listItem[i] = new ListItemComponent("MULTIPLE "+ i);
			list1.addComponent(listItem[i]);
		}	

		list2 = new ListComponent(ListComponent.SELECT_EXCLUSIVE);
    	
		for(int i=0;i<LIST_NUM;i++){
			list2.addComponent(new ListItemComponent("EXCLUSIVE "+ i));
		}
		
		list2.setChangeListener(new ChangeListener(){
			public void changed(Component arg0, Object arg1) {
				System.out.println("change test");
			}
		}, this);
		
		list2.setActionListener(new ActionListener(){
			public void action(Component arg0, Object arg1) {
				DialogComponent dg = new DialogComponent(new LabelComponent("dialog test"), "dialog title", DialogComponent.TYPE_OK);
				int dialogresult = dg.doModal();
			}
		}, this);
   	
   	
		list3 = new ListComponent(ListComponent.SELECT_IMPLICIT);
		for(int i=0;i<LIST_NUM;i++){
			list3.addComponent(new ListItemComponent("IMPLICIT "+ i));
		}
		list3.setChangeListener(new ChangeListener(){
			public void changed(Component arg0, Object arg1) {
				System.out.println("change test");
			}
		}, this);
		
		list3.setActionListener(new ActionListener(){
			public void action(Component arg0, Object arg1) {
				DialogComponent dg = new DialogComponent(new LabelComponent("dialog test"), "dialog title", DialogComponent.TYPE_OK);
				int dialogresult = dg.doModal();
			}
		}, this);
		
   	
		addButton = new ButtonComponent("ADD", null);
		addButton.setActionListener(new ActionListener(){
			public void action(Component cmp, Object o){
				if(list1.getSize() < 7)
					list1.append("ADDITEM : " + list1.getSize(), null);
			}
		}, this);
		buttonForm.addComponent(addButton);
	   		   	
		removeButton = new ButtonComponent("INSERT", null);
		removeButton.setActionListener(new ActionListener(){
			public void action(Component cmp, Object o){
				if(list1.getSize() < 7)
					list1.insert(0, "INSERTITEM : " + list1.getSize(), null);
			}
		}, this);
		buttonForm.addComponent(removeButton);
    	
		setButton = new ButtonComponent("SET", null);
		setButton.setActionListener(new ActionListener(){
			public void action(Component cmp, Object o){
//				list.controlNumber(!list.isControlNumber());
				list1.select(listItem[1]);
			}
		}, this);
		buttonForm.addComponent(setButton);
    	
		baseForm.addComponent(buttonForm);
		baseForm.addComponent(new LabelComponent("LIST1"));
		baseForm.addComponent(list1);
		baseForm.addComponent(new LabelComponent("LIST2"));
		baseForm.addComponent(list2);
		baseForm.addComponent(new LabelComponent("LIST3"));
		baseForm.addComponent(list3);
		setButton.setFocus();
		shell.addComponent(baseForm);
		shell.show();

	}

	protected void destroyApp(boolean b){
	}

}
