import org.kwis.msp.lcdui.*;
import org.kwis.msp.lwc.*;

/**
 * @author ȯ
 *
 */
import java.io.IOException;

public class ButtonTest extends Jlet {
	
	ShellComponent shell;
	FormComponent form;
	ButtonComponent stringButton;
	ButtonComponent imageButton;
	TestButton comboButton;
	TestButton countButton;
	int count;
	TestButton changeButton;
	
	Image[] img = new Image[2];
	
	TickerComponent printTicker;
	int delay;
	
    protected void startApp(String[] args) {
    	shell = new ShellComponent();
    	shell.setTitle("Button Test");
    	form = new FormComponent();
    	
    	try{
    		img[0] = Image.createImage("button.png");
    		img[1] = Image.createImage("button2.png");   		
    	}catch(IOException e){
    		System.out.println(e);
    	}

    	stringButton = new ButtonComponent("BUTTON", null);
    	stringButton.setActionListener(new ActionListener(){
			public void action(Component arg0, Object arg1) {
				printTicker.setString("stringButton test");
			}
    	}, null);
    	
    	    	
  		imageButton = new ButtonComponent(null, img[0]);
   		comboButton = new TestButton("COMBO", img[0]);
  		changeButton = new TestButton(null, img[1]);
    	
    	count = 0;
    	countButton = new TestButton("Count : " + count, null);
    	
    	printTicker = new TickerComponent("button test", null);
    	delay = printTicker.DEFAULT_DELAY;
    	printTicker.setBackground(0x00ff00);
    	
    	form.addComponent(printTicker);
    	form.addComponent(stringButton);
    	form.addComponent(imageButton);
    	form.addComponent(comboButton);
    	form.addComponent(countButton);
    	form.addComponent(changeButton);
    	shell.addComponent(form);
    	shell.show();
    }

    protected void destroyApp(boolean b){
    	
    }

	public class TestButton extends ButtonComponent{
		
		public TestButton(String str, Image img){
			super(str, img);
		}
		
		public boolean keyNotify(int type, int key){
			if(type == EventQueue.KEY_PRESSED){
				switch(key){
					case EventQueue.SOFT1:
					case EventQueue.SOFT3:
						super.keyNotify(type, EventQueue.FIRE);
						if(this == countButton){
							printTicker.setString("Count");
							countButton.setString("Count : " + ++count);
						}else if(this == changeButton){
							printTicker.setString("Change Image");
							if(changeButton.getImage() == img[0])
								changeButton.setImage(img[1]);
							else changeButton.setImage(img[0]);		
						}
						return true;
					case EventQueue.KEY_NUM1:
						if(delay > 400){
							delay-=100;
							printTicker.setDelay(delay);
						}
						return true;
					case EventQueue.KEY_NUM3:
						delay+=100;
						printTicker.setDelay(delay);
						return true;
					default:
						return true;
				}
			}
			return super.keyNotify(type, key);
		}
	}

}
