import org.kwis.msp.lcdui.*;
import org.kwis.msp.lwc.*;

/**
 * @author ȯ
 *
 */
public class CommandTest extends Jlet {
	
	ShellComponent shell;
	FormComponent form;
	CommandBarComponent bar;
	Command[] cmd;
	LabelComponent label;
	
	Jlet jlet;
	
	String[] arg;
	
	public static final int COMMAND_NUM = 3;
	
    protected void startApp(String[] args) {
    	arg = args;
    	shell = new ShellComponent();
    	shell.setTitle("Test");
    	form = new FormComponent();
    	bar = new CommandBarComponent();
    	cmd = new Command[COMMAND_NUM];
    	
    	label = new LabelComponent("Command : ");
    	
    	for(int i=0;i<COMMAND_NUM;i++){
    		cmd[i] = new Command("command " + i, "command"+i+".png",null);
    		bar.addCommand(cmd[i]);
    	}
    	bar.setActiveIndex(0);
    	bar.setCommandListener(new CommandListener(){
    		public void commandAction(Command c, int type, Object o){
    			if(type ==  CommandListener.SELECT){
    				label.setLabel("push : " + c.getString());
    			}else{
					label.setLabel("move : " + c.getString());
    			}
    		}
    	}, null);
    	shell.setCommand(bar, true);
    	form.addComponent(label);
    	shell.addComponent(form);
    	shell.show();
    }

    protected void destroyApp(boolean b){
    }

}
